Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XMLSchemaValidator.XPathMatcherStack

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XMLSchemaValidator.XPathMatcherStack

Enclosing class:
  XMLSchemaValidator

protected static class XMLSchemaValidator.XPathMatcherStack
extends Object

Stack of XPath matchers for identity constraints.

Field Summary
`protected IntStack` | `fContextStack` Offset stack for contexts.
`protected weblogic.apache.xerces.impl.xs.identity.XPathMatcher[]` | `fMatchers` Active matchers.
`protected int` | `fMatchersCount` Count of active matchers.

Constructor Summary
`XMLSchemaValidator.XPathMatcherStack()`

Method Summary
`void` | `addMatcher(weblogic.apache.xerces.impl.xs.identity.XPathMatcher matcher)` Adds a matcher.
`void` | `clear()` Resets the XPath matcher stack.
`weblogic.apache.xerces.impl.xs.identity.XPathMatcher` | `getMatcherAt(int index)` Returns the XPath matcher at the specified index.
`int` | `getMatcherCount()` Returns the count of XPath matchers.
`void` | `popContext()` Pops a context off of the stack.
`void` | `pushContext()` Pushes a new context onto the stack.
`int` | `size()` Returns the size of the stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fContextStack

    protected IntStack fContextStack

  Offset stack for contexts.

### fMatchers

    protected weblogic.apache.xerces.impl.xs.identity.XPathMatcher[] fMatchers

  Active matchers.

### fMatchersCount

    protected int fMatchersCount

  Count of active matchers.

Constructor Detail

### XMLSchemaValidator.XPathMatcherStack

    public XMLSchemaValidator.XPathMatcherStack()

Method Detail

### addMatcher

    public void addMatcher(weblogic.apache.xerces.impl.xs.identity.XPathMatcher matcher)

  Adds a matcher.

### clear

    public void clear()

  Resets the XPath matcher stack.

### getMatcherAt

    public weblogic.apache.xerces.impl.xs.identity.XPathMatcher getMatcherAt(int index)

  Returns the XPath matcher at the specified index.

### getMatcherCount

    public int getMatcherCount()

  Returns the count of XPath matchers.

### popContext

    public void popContext()

  Pops a context off of the stack.

### pushContext

    public void pushContext()

  Pushes a new context onto the stack.

### size

    public int size()

  Returns the size of the stack.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD